<link rel="import" href="../../bower_components/polymer/polymer-element.html">

<link rel="import" href="../../bower_components/neon-animation/animations/scale-up-animation.html">
<link rel="import" href="../../bower_components/paper-button/paper-button.html">
<link rel="import" href="../../bower_components/iron-icons/av-icons.html">

<dom-module id="dez-about">
  <template>
    <style>
    </style>

    <paper-icon-button icon="help" title="Help / About" on-tap="_openAboutDialog"></paper-icon-button>
    <paper-dialog id="aboutDialog" entry-animation="scale-up-animation" exit-animation="fade-out-animation" with-backdrop>
      <h2><b>Dezrann</b> &ndash; Interactive music analysis on the web</h2>

      <p>

      </p>

      <p>
        This is the <b>preview of Dezrann</b>, an open platform to 
        <i>study, hear, and annotate music on the web</i>.
        <br />Dezrann usages include <b>music education</b>
        as well as corpus annotation for <b>musicology or computer music research</b>.
<!--        <br />but currently works better on Chrome/Chromium. -->
        <br />You can click anywhere on the score or the waveform to add or edit labels.
        <br />Ask for an <a href="mailto:dezrann@algomus.fr?subject=[Dezrann] account request&amp;body=Dear%20Algomus%20team%2C%0A%0AI%20would%20like%20to%20have%20an%20account%20to%20store%20analyses%20for%20my%20research/teaching/...%0A%0ABest%20regards%2C%0A%0A">account</a>
      to store your analyses and to add your own scores or audio files.
<!--        <br />For more information, see the TENOR 2018 paper below. -->
      </p>

      <div>
      <h4>More information</h4>
      </div>

      <div><ul>
      <li>Mathieu Giraud, Richard Groult, Emmanuel Leguy,
        <a href="https://hal.archives-ouvertes.fr/hal-01796787">Dezrann, a Web Framework to Share Music Analysis</a>,
        TENOR 2018, pp. 104-110.
      </li>     

      <li>Ming La, Mathieu Giraud, Emmanuel Leguy,
        <a href="https://hal.archives-ouvertes.fr/hal-02162935">Realtime collaborative annotation of music scores with Dezrann</a>,
        CMMR 2019.
      </li>

      <li>🇫🇷 <a href="https://www.ac-amiens.fr/2512-favoriser-l-ecoute-autonome-en-education-musicale.html">Favoriser
        l'écoute autonome en éducation musicale</a>, Académie d'Amiens, 2019.
      </li>
      </ul></div>
  
      <h4>Next planned features</h4>

<!--
      <div>
        <h4 style='margin-bottom: 0;'>☀ Summer 2018</h4>
        <ul style='margin-top: 0;'>
          <li>labels on waveforms <span style="color:green;">✔</span></li>
          <li>audio output <span style="color:green;">✔</span></li>
        </ul>
      </div>

      <div>
        <h4 style='margin-bottom: 0;'>☀ Summer 2019</h4>
        <ul style='margin-top: 0;'>
          <li>user and group accounts to privately store pieces and analyses <span style="color:green;">✔</span></li>
        </ul>
      </div>
-->

      <div>
        <b style='margin-bottom: 0;'>☀ Summer 2020</b>:
            direct audio upload
      </div>


      <div>
        <h4 style='margin-bottom: 0;'>2021 Roadmap</h4>
        <ul style='margin-top: 0;'>
          <li>realtime collaborative editing (see CMMR 2019 paper)</li>
          <li>direct score upload</li>
        </ul>
      </div>

      <p>
        We also plan to add further <i>collaborative features</i>
        and to improve the <i>responsivity</i> for mobile and <br />tablet usage.
        To receive updates on Dezrann, to make suggestions,  to request an account, or to request new pieces,
        please <a href="mailto:dezrann@algomus.fr?subject=[[_mailSubject]]&body=[[_mailBody]]">drop us a mail</a>.
      </p>


      <p>
        <i>Dezrann is developped by Emmanuel Leguy and the <a href="http://www.algomus.fr/">Algomus</a> computer music team.
        Dezrann is open-source (GPL v3+). 
        The code and the public issue tracker are on <a href="gitlab.com/algomus.fr/dezrann/">Gitlab</a>.
        Dezrann has been tested on recent Firefox, Safari and Chrome web browsers.</i>
      </p>

      <div class="buttons">
          <paper-button dialog-confirm autofocus>OK</paper-button>
      </div>
    </paper-dialog>

  </template>

  <script>

  class DezAbout extends Polymer.Element {

      static get is() { return 'dez-about'; }

      constructor () {
        super()
        this._mailSubject = "[Dezrann]"
        this._mailBody = "%0ADear%20Algomus%20team%2C%0A%0A" +
          "I%20would%20like%20to%20see%20the%20following%20pieces%20in%20" +
          "Dezran%20:%20...%0A%0A" +
          "I%20would%20like%20to%20have%20an%20account%20to%20store%20" +
          "analyses%20for%20my%20research/teaching/...%0A%0A" +
          "I%20have%20the%20following%20suggestion%20/%20bug%20report:%20...%0A%0A" +
          "Please%20keep%20me%20informed%20of%20the%20development%20of%20Dezrann.%0A%0A" +
          "Best%20regards%2C%0A%0A"
      }

      _openAboutDialog () {
          this.$.aboutDialog.open();
      }

  }

  window.customElements.define(DezAbout.is, DezAbout);

  </script>
</dom-module>
